.side-by-side {
  > .side-by-side-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: 100%;
    gap: 1.6rem;

    &:not(:last-child) {
      margin-bottom: 4rem;
    }

    @include media("md") {
      flex-direction: row;
      gap: 2.4rem;

      &:nth-child(even) {
        flex-direction: row-reverse;
      }

      &:not(:last-child) {
        margin-bottom: 8rem;
      }
    }
  }

  > .side-by-side-content > .image,
  > .side-by-side-content > .texts {
    width: 100%;

    @include media("md") {
      width: 50%;
    }
  }

  > .side-by-side-content .image {
    height: 100%;
    display: block;
    margin: auto 0;
  }

  > .side-by-side-content img {
    @include media("md") {
      transition: var(--transition);

      &:hover {
        filter: brightness(0.8);
        transform: scale(1.1);
      }
    }
  }

  > .side-by-side-content .image::after {
    padding-bottom: 62.5%;
  }

  > .side-by-side-content .texts {
    padding: 2.4rem 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;

    @include media("md") {
      padding: 1.6rem;
    }
  }

  > .side-by-side-content.-background .image + .texts {
    background-color: var(--gray-1);
    padding-left: 1.6rem;
    padding-right: 1.6rem;
  }

  > .side-by-side-content .texts-inner {
    max-width: 54rem;
  }

  > .side-by-side-content .texts-inner > *:not(:last-child) {
    margin-bottom: 1.6rem;
  }

  > .side-by-side-content .upper-title:not(:last-child) {
    margin-bottom: 0.8rem;
  }

  > .side-by-side-content .title {
    font-size: 1.8rem;
  }

  > .side-by-side-content .description {
    color: var(--gray-3);
    margin-bottom: 0;
  }

  > .side-by-side-content .button-default {
    margin: 1.6rem auto 0;
    width: fit-content;

    @include media("md") {
      margin: 4rem auto 0;
    }
  }
}
